<?php

if (empty($_GET['elid'])) {
    if (empty($_POST['submit'])) {
        echo '<div class="menu"><img src="images/t-new.png" alt="." />Создание редиректа<br />' . "\n";
        echo '</div>' . "\n";
        echo '<div class="post"><form action="?func=wwwredirect.edit';
        if (isset($_GET['plid'])) {
            echo '&amp;plid=' . urlencode($_GET['plid']);
        }
        echo '" method="post">' . "\n";
        echo 'WWW домен:<br />' . "\n";
        if (isset($_GET['plid'])) {
            echo '<input name="domain" value="' . htmlentities($_GET['plid'], ENT_QUOTES, 'UTF-8') . '" readonly="readonly" /><br />' . "\n";
        } else {
            echo '<select name="domain">' . "\n";
            $content = api_query('https://' . $server . '/manager/ispmgr?func=wwwdomain&out=xml&auth=' . urlencode($_SESSION['auth']));
            $parse_xml = simplexml_load_string($content);
            foreach($parse_xml->elem as $var) {
                echo '<option value="' . htmlentities((string)$var->name, ENT_QUOTES, 'UTF-8') . '">' . htmlentities((string)$var->name, ENT_QUOTES, 'UTF-8') . '</option>' . "\n";
            }
            echo '</select><br />' . "\n";
        }
        echo 'Путь:<br />' . "\n";
        echo '<input name="name" /><br />' . "\n";
        echo 'Код:<br />' . "\n";
        echo '<select name="code">' . "\n";
        echo '<option value="permanent">301 - перенесен на новый адрес</option>' . "\n";
        echo '<option value="temp">302 - временно перенесен на другой адрес</option>' . "\n";
        echo '<option value="seeother">303 - нужно смотреть по адресу</option>' . "\n";
        echo '</select><br />' . "\n";
        echo 'URL:<br />' . "\n";
        echo '<input name="url" /><br />' . "\n";
        echo '<input name="submit" type="submit" value="Создать" /><br />' . "\n";
        echo '</form>' . "\n";
        echo '</div>' . "\n";
        echo '<div class="menu"><img src="images/t-back.png" alt=".." /><a href="?func=wwwredirect';
        if (isset($_GET['plid'])) {
            echo '&amp;elid=' . urlencode($_GET['plid']);
        }
        echo '">Вернуться</a></div>' . "\n";
    } else {
        $content = api_query('https://' . $server . '/manager/ispmgr?func=wwwredirect.edit&domain=' . urlencode($_POST['domain']) . '&name=' . urlencode($_POST['name']) . '&code=' . urlencode($_POST['code']) . '&url=' . urlencode($_POST['url']) . '&sok=ok&out=xml&auth=' . urlencode($_SESSION['auth']));
        $parse_xml = simplexml_load_string($content);
        if (isset($parse_xml->ok)) {
            echo '<div class="post"><div style="text-align:center">' . "\n";
            echo 'Редирект успешно создан!<br />' . "\n";
            echo 'Подождите несколько секунд, для перезагрузки сервера, и нажмите &quot;продолжить&quot;.<br />' . "\n";
            echo '<a href="?func=wwwredirect';
            if (isset($_GET['plid'])) {
                echo '&amp;elid=' . urlencode($_GET['plid']);
            }
            echo '">Продолжить&#187;</a>' . "\n";
            echo '</div></div>' . "\n";
            api_query('https://' . $server . '/manager/ispmgr?func=restart&auth=' . urlencode($_SESSION['auth']));
        } else {
            echo '<div class="post"><div style="text-align:center">' . "\n";
            echo 'Ошибка при создании редиректа!<br />' . "\n";
            echo '<a href="?func=wwwredirect';
            if (isset($_GET['plid'])) {
                echo '&amp;elid=' . urlencode($_GET['plid']);
            }
            echo '">Продолжить&#187;</a>' . "\n";
            echo '</div></div>' . "\n";
        }
    }
} else {
    if (empty($_POST['submit'])) {
        $content = api_query('https://' . $server . '/manager/ispmgr?func=wwwredirect.edit&elid=' . urlencode($_GET['elid']) . '&out=xml&auth=' . urlencode($_SESSION['auth']));
        $parse_xml = simplexml_load_string($content);
        echo '<div class="menu"><img src="images/t-edit.png" alt="." />Изменение редиректа<br />' . "\n";
        echo '</div>' . "\n";
        echo '<div class="post"><form action="?func=wwwredirect.edit&amp;elid=' . urlencode($_GET['elid']);
        if (isset($_GET['plid'])) {
            echo '&amp;plid=' . urlencode($_GET['plid']);
        }
        echo '" method="post">' . "\n";
        echo 'WWW домен:<br />' . "\n";
        echo '<input name="domain" value="' . htmlentities($_GET['plid'], ENT_QUOTES, 'UTF-8') . '" readonly="readonly" /><br />' . "\n";
        echo 'Путь:<br />' . "\n";
        echo '<input name="name" value="' . htmlentities((string)$parse_xml->name, ENT_QUOTES, 'UTF-8') . '" /><br />' . "\n";
        echo 'Код:<br />' . "\n";
        echo '<select name="code">' . "\n";
        echo '<option value="permanent"';
        if ((string)$parse_xml->code == 'permanent') {
            echo ' selected="selected"';
        }
        echo '>301 - перенесен на новый адрес</option>' . "\n";
        echo '<option value="temp"';
        if ((string)$parse_xml->code == 'temp') {
            echo ' selected="selected"';
        }
        echo '>302 - временно перенесен на другой адрес</option>' . "\n";
        echo '<option value="seeother"';
        if ((string)$parse_xml->code == 'seeother') {
            echo ' selected="selected"';
        }
        echo '>303 - нужно смотреть по адресу</option>' . "\n";
        echo '</select><br />' . "\n";
        echo 'URL:<br />' . "\n";
        echo '<input name="url" value="' . htmlentities((string)$parse_xml->url, ENT_QUOTES, 'UTF-8') . '" /><br />' . "\n";
        echo '<input name="submit" type="submit" value="Изменить" /><br />' . "\n";
        echo '</form>' . "\n";
        echo '</div>' . "\n";
        echo '<div class="menu"><img src="images/t-back.png" alt=".." /><a href="?func=wwwredirect';
        if (isset($_GET['plid'])) {
            echo '&amp;elid=' . urlencode($_GET['plid']);
        }
        echo '">Вернуться</a></div>' . "\n";
    } else {
        $content = api_query('https://' . $server . '/manager/ispmgr?func=wwwredirect.edit&elid=' . urlencode($_GET['elid']) . '&domain=' . urlencode($_POST['domain']) . '&name=' . urlencode($_POST['name']) . '&code=' . urlencode($_POST['code']) . '&url=' . urlencode($_POST['url']) . '&sok=ok&out=xml&auth=' . urlencode($_SESSION['auth']));
        $parse_xml = simplexml_load_string($content);
        if (isset($parse_xml->ok)) {
            echo '<div class="post"><div style="text-align:center">' . "\n";
            echo 'Редирект успешно изменен!<br />' . "\n";
            echo 'Подождите несколько секунд, для перезагрузки сервера, и нажмите &quot;продолжить&quot;.<br />' . "\n";
            echo '<a href="?func=wwwredirect';
            if (isset($_GET['plid'])) {
                echo '&amp;elid=' . urlencode($_GET['plid']);
            }
            echo '">Продолжить&#187;</a>' . "\n";
            echo '</div></div>' . "\n";
            api_query('https://' . $server . '/manager/ispmgr?func=restart&auth=' . urlencode($_SESSION['auth']));
        } else {
            echo '<div class="post"><div style="text-align:center">' . "\n";
            echo 'Ошибка при изменении редиректа!<br />' . "\n";
            echo '<a href="?func=wwwredirect';
            if (isset($_GET['plid'])) {
                echo '&amp;elid=' . urlencode($_GET['plid']);
            }
            echo '">Продолжить&#187;</a>' . "\n";
            echo '</div></div>' . "\n";
        }
    }
}

?>